Overview
GET
/bucket/access-groups/{groupId}bucketGet an access group with its members + grants
Fetch a record from access-groups by groupId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- groupIdpathstring
Responses
200
Access group detail
- idstring
- ecosystemIdstring
owning ecosystem
- bucketIdstring
- namestring
- descriptionstring
- kindstring
'everyone' (seeded) or 'custom'
- metadataoptionalobject?
- createdAtstring
- updatedAtstring
- membersBucketAccessGroupMember[]
- grantsBucketGrant[]
Example
{
"id": "string",
"ecosystemId": "string",
"bucketId": "string",
"name": "string",
"description": "string",
"kind": "string",
"metadata": {},
"createdAt": "string",
"updatedAt": "string",
"members": [
{
"id": "string",
"ecosystemId": "string",
"accessGroupId": "string",
"memberType": "user",
"memberId": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"grants": [
{
"id": "string",
"ecosystemId": "string",
"accessGroupId": "string",
"targetType": "bucket",
"targetId": "string",
"crud": "string",
"grantedBy": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/bucket/access-groups/{groupId}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/bucket/access-groups/{groupId}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();